Bug 829338 - [Storage] When disconnecting storage domain with multiple connections backend disconnects only one connection.
[Storage] When disconnecting storage domain with multiple connections backend...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Alissa
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:58 EDT by Leonid Natapov
Modified: 2016-02-10 12:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 02:59:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-06-06 09:58:33 EDT
When disconnecting storage domain with multiple connections backend (DisconnectStorageServerVDSCommand) disconnects only one connection keeping other connection(s) alive.The other connection(s) not in use by any other LUNs.

How to reproduce:
1.Setup with host and Storage Domain that includes several connections.
(When creating SD make sure to login to several LUNs and connect them to SD.)
2.Move host to maintenance.
Only one connection disconnects. Other connections still alive.

engine and vdsm logs attached.
Comment 4 Ayal Baron 2013-04-07 11:14:53 EDT
Alissa, I'm not sure this happens anymore, please check.
Comment 5 Alissa 2013-04-08 09:35:08 EDT
(In reply to comment #4)
> Alissa, I'm not sure this happens anymore, please check.

The bug says that logs are attached, but there are none...
Comment 6 Elad 2013-04-10 12:39:56 EDT
Checked on RHEVM-3.2 SF13:

vdsm-4.10.2-14.0.el6ev.x86_64
rhevm-backend-3.2.0-10.18.beta2.el6ev.noarch
libvirt-0.10.2-18.el6_4.2.x86_64
sanlock-2.6-2.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64

vdsm disconnects from all lun after maintenance.
Comment 8 Elad 2013-04-11 02:59:25 EDT
Tested also with storage domain from 2 different servers. Got the same results.

Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.